# Interfaces

These interfaces are available as `.sol` files. These are useful to interact with third-party contracts that implement them.  
Please refer to the API for any details.

- [IERC721A](erc721a.md)
- [IERC721ABurnable](erc721a-burnable.md)
- [IERC721AQueryable](erc721a-queryable.md)

## List of interfaces

### IERC721A

[`erc721a/contracts/IERC721A.sol`](https://github.com/chiru-labs/ERC721A/blob/main/contracts/IERC721A.sol)

```solidity
import 'erc721a/contracts/interfaces/IERC721A.sol';

```

### IERC721ABurnable

[`erc721a/contracts/extensions/IERC721ABurnable.sol`](https://github.com/chiru-labs/ERC721A/blob/main/contracts/extensions/IERC721ABurnable.sol)

Inherits:

- [IERC721A](#ierc721a)

```solidity
import 'erc721a/contracts/interfaces/IERC721ABurnable.sol';

```

### IERC721AQueryable

[`erc721a/contracts/extensions/IERC721AQueryable.sol`](https://github.com/chiru-labs/ERC721A/blob/main/contracts/extensions/IERC721AQueryable.sol)

Inherits:

- [IERC721A](#ierc721a)

```solidity
import 'erc721a/contracts/interfaces/IERC721AQueryable.sol';

```

### IERC4907A

[`erc721a/contracts/extensions/IERC4907A.sol`](https://github.com/chiru-labs/ERC721A/blob/main/contracts/extensions/IERC4907A.sol)

Inherits:

- [IERC721A](#ierc721a)

```solidity
import 'erc721a/contracts/interfaces/IERC4907A.sol';

```
